## fonts-freefont 20120503

=== sfd/Makefile ===
# $Id: Makefile,v 1.8 2010-04-06 19:33:54 Stevan_White Exp $

SFDS=FreeMonoBoldOblique.sfd FreeMonoBold.sfd FreeMonoOblique.sfd FreeMono.sfd \
FreeSansBoldOblique.sfd FreeSansBold.sfd FreeSansOblique.sfd FreeSans.sfd \
FreeSerifBoldItalic.sfd FreeSerifBold.sfd FreeSerifItalic.sfd FreeSerif.sfd
MSFDS=FreeMonoBoldOblique.sfd FreeMonoBold.sfd FreeMonoOblique.sfd FreeMono.sfd
TTFS=$(SFDS:.sfd=.ttf)
OTFS=$(SFDS:.sfd=.otf)
WOFFS=$(SFDS:.sfd=.woff)
FF=fontforge -lang=ff -script 
FFPY=fontforge -lang=py -script 
FFPY=fontforge -lang=py -script 

ffversion=`fontforge --version 2> /dev/null | grep '^fontforge' | sed -e 's/^fontforge //'`

TESTFF=if test -z ${ffversion}; then echo FontForge program is required to build FreeFont; exit 1; fi; if test `fontforge --version 2> /dev/null | grep '^fontforge' | sed -e 's/^fontforge //'` -lt 20080429 ; then echo FontForge version too old; exit 1; fi


.SUFFIXES: $(SUFFIXES) .sfd .ttf .otf .woff

%.otf : %.sfd
	@ $(TESTFF)
	@ ( $(FFPY) ../tools/generate/OpenType $< 3>&1 1>&2 2>&3 | tail -n +4 ) 3>&1 1>&2 2>&3 2>&1 

%.ttf : %.sfd
	@ $(TESTFF)
	@ ( $(FFPY) ../tools/generate/TrueType $< 3>&1 1>&2 2>&3 | tail -n +4 ) 3>&1 1>&2 2>&3 2>&1 

%.woff : %.sfd
	@ $(TESTFF)
	@ ( $(FFPY) ../tools/generate/WOFF $< 3>&1 1>&2 2>&3 | tail -n +4 ) 3>&1 1>&2 2>&3 2>&1 

all: ttf otf woff

ttf: $(TTFS)

otf: $(OTFS)

woff: $(WOFFS)

tests:
	@ $(TESTFF)
	@ ( $(FFPY) ../tools/test/isMonoMono.py $(MSFDS) 3>&1 1>&2 2>&3 | tail -n +4 ) 3>&1 1>&2 2>&3 2>&1
	@ $(FFPY) ../tools/test/checkGlyphNumbers.py `pwd` $(SFDS) 2>&1
	@ $(FFPY) ../tools/test/validate.py 2>&1

clean:
	rm -f $(TTFS) $(OTFS) $(WOFFS) build.log

distclean:
	rm -f $(TTFS) $(OTFS) $(WOFFS) build.log

=== debian/changelog ===
fonts-freefont (20120503-4) unstable; urgency=low

  * Also re-introduce "Provides" ttf-freefont|otf-freefont

 -- Christian Perrier <bubulle@debian.org>  Sat, 08 Feb 2014 07:50:46 +0100

fonts-freefont (20120503-3) unstable; urgency=low

  * Re-introduce transitional packages. Closes: #737965

 -- Christian Perrier <bubulle@debian.org>  Fri, 07 Feb 2014 12:05:01 +0100

fonts-freefont (20120503-2) unstable; urgency=low

  * Use git for packaging: adapt Vcs-* fields
  * Update Standards to 3.9.4 (checked)
  * Add Multi-Arch: foreign field
  * Drop "Provides" as it is no
    longer needed (installations should have transitioned since wheezy
    and the package has anyway no reverse dependency.
  * Use xz extreme compression for deb packages
  * Drop ttf-freefont and otf-freefont transitional packages

 -- Christian Perrier <bubulle@debian.org>  Sat, 03 Aug 2013 18:56:39 +0200

fonts-freefont (20120503-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release
    + Fixes "Glyphs for U+2293 (square cap) and U+2294 (square cup) inverted"
      Closes: #659527
    + Removes accidentally included Untitled1.ttf
      Closes: #662924
    + Fixes "Strange glyphs for some chars in Control Pictures block"
      Closes: #632746
  * Rename source package to "fonts-freefont" to fit the Font
    Packages Naming Policy.
  * Bump debhelper compatibility to 9
  * Bump Standards to 3.9.3 (checked)

  [ Fabian Greffrath ]
  * Add myself to Uploaders.
  * Update debian/watch file.
  * Fix FTBFS twice in a row by properly using dh_auto_clean
    Closes: #662930
  * Adapt to the build system provided in the upstream tarball.
  * Remove some obsolete debhelper files.
  * Move debian/preinst to fonts-freefont-ttf.preinst.
  * Remove XC-Prefix from Package-Type field in debian/control.

 -- Christian Perrier <bubulle@debian.org>  Wed, 09 May 2012 23:47:37 +0200

ttf-freefont (20100919-1) unstable; urgency=low

  * New upstream release (Closes: #599151, #610849)
  * Remove dependencies on x-ttcidfont-conf and reflect the change in
    README.Debian as well
  * debian/copyright: add Steve White as current upstream maintainer 
  * debian/control: 
     - Bump Standards-Version to 3.9.1 (no changes needed)
     - Build-Depends-Indep set to "fontforge-nox | fontforge" to unburden
       buildds. Drop also version restriction (>= 0.0.20080330)
  * debian/scripts/FreeSans-strip: strip more ranges from the udeb:
    - Cherokee (u13A0:u13FF)
    - Unified Canadian Aboriginal Syllabics (u1400:u167F)
    - Unified Canadian Aboriginal Syllabics Extended (u18B0:u18FF)
    - Tifinagh (u2D30:u2D7F)
    - Vai (uA500:uA63F)
    - Latin Extended-D (uA720:uA7FF)
    - Osmanya (u10480:u104AF)

 -- Davide Viti <zinosat@tiscali.it>  Mon, 07 Feb 2011 22:11:27 +0100

ttf-freefont (20090104-7) unstable; urgency=low

  [Rogério Brito]
  * Update the version of the GPL (Closes: #576146)
  * Update the years of copyright
  * Delete trailing whitespace

  [ Davide Viti ]
  * Prepare new release
  * debian/control: Bump Standards-Version to 3.8.4 (no changes needed)

 -- Davide Viti <zinosat@tiscali.it>  Tue, 06 Apr 2010 21:24:25 +0200

ttf-freefont (20090104-6) unstable; urgency=low

  [ Jan Dittberner ]
  * Add binary package otf-freefont providing OpenType versions of the
    fonts (Closes: #575729)
    - add debian/otf-freefont.dirs, debian/otf-freefont.docs,
      debian/otf-freefont.install, debian/scripts/ConvertOTFont.ff
    - call ConvertOTFont.ff in debian/scripts/convertfonts.sh
    - add OTF related lines to debian/rules
    - add new binary package stanza to debian/control
  * Set debhelper dependency version to (>= 7.0.50~) to fix lintian
    warning

  [ Davide Viti ]
  * Prepare new release

 -- Davide Viti <zinosat@tiscali.it>  Mon, 29 Mar 2010 22:58:41 +0200

ttf-freefont (20090104-5) unstable; urgency=low

  [ Christian Perrier ]
  * Switch to debhelper v7
  * Use a minimal debian/rules file
  * Switch to 3.0 (quilt) source format
  * As a consequence of the above, no longer build-depend on quilt and cdbs
  * Add ${misc:Depends} to dependencies to properly cope with
    debhelper-triggerred dependencies
  * Add myself as Uploader
  * Update Standards to 3.8.3 (checked)

  [ Davide Viti ]
  * Remove defoma hints files and dependency on defoma

 -- Davide Viti <zinosat@tiscali.it>  Mon, 30 Nov 2009 21:04:49 +0100

ttf-freefont (20090104-4) unstable; urgency=low

  * debian/control: change source section to "fonts"

 -- Davide Viti <zinosat@tiscali.it>  Sat, 25 Jul 2009 14:21:22 +0200

ttf-freefont (20090104-3) unstable; urgency=low

  * scripts/strip_glyphs.pe: re-encode as "unicodeFull" as to
    deal with glyphs in ranges > uFFFF
  * scripts/FreeSans-strip: simplify stripping glyphs in high ranges (>
    uFFFF) taking advantage of new version of strip_glyphs.pe
  * Really strip Ugaritic, Old Persian and Phoenician out of the udeb
  * debian/control: Bump Standards-Version to 3.8.2
  * Bump Build-Depends on debhelper to 5.0.42: replace binary-install
    with install in debian/rules to fix building with DH_COMPAT>=5

 -- Davide Viti <zinosat@tiscali.it>  Sat, 11 Jul 2009 15:31:16 +0200

ttf-freefont (20090104-2) unstable; urgency=low

  * Upload to unstable

 -- Davide Viti <zinosat@tiscali.it>  Tue, 24 Feb 2009 21:56:48 +0100

ttf-freefont (20090104-1) experimental; urgency=low

  * New upstream release (Closes: #509858)
  * Fix wrong upstream URLs
    - debian/watch
    - debian/control
    - debian/copyright
  * debian/control: fix lintian warning about missing ${misc:Depends}
    in binary entries
  * debian/scripts/FreeSans-strip: strip more ranges from the udeb:
    - Alphabetic Presentation Forms (uFB00:uFB4F)
    - Phoenician (u10900:u1091F)
  * Perform glyph stripping on the sfd files rather than on the ttf like we
    do on ttf-dejavu: seems much cleaner and avoids problems with Indic
    scripts which got rendered badly (probably because of a Fontforge bug)


=== debian/control ===
Source: fonts-freefont
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9~)
Build-Depends-Indep: fontforge-nox | fontforge
Standards-Version: 3.9.4
Uploaders: Davide Viti <zinosat@tiscali.it>, Christian Perrier <bubulle@debian.org>, Fabian Greffrath <fabian+debian@greffrath.com>
Vcs-Git: git://anonscm.debian.org/pkg-fonts/fonts-freefont.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-freefont.git;a=summary
Homepage: http://savannah.gnu.org/projects/freefont/

Package: fonts-freefont-ttf
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: ttf-freefont (<< 20120503-1)
Breaks: ttf-freefont (<< 20120503-1)
Provides: ttf-freefont
Description: Freefont Serif, Sans and Mono Truetype fonts
 Freefont is a set of free high-quality TrueType fonts covering the UCS
 character set. These fonts are similar to the widely known Helvetica,
 Times and Courier fonts.

Package: fonts-freefont-otf
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: otf-freefont (<< 20120503-1)
Breaks: otf-freefont (<< 20120503-1)
Provides: otf-freefont
Description: Freefont Serif, Sans and Mono OpenType fonts
 Freefont is a set of free high-quality OpenType fonts covering the UCS
 character set. These fonts are similar to the widely known Helvetica,
 Times and Courier fonts.

Package: fonts-freefont-udeb
Section: debian-installer
Provides: ttf-installer
Package-Type: udeb
Architecture: all
Description: Freefont Sans fonts for the graphical installer

Package: ttf-freefont
Depends: fonts-freefont-ttf, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This package is a dummy transitional package. It can be safely removed.

Package: otf-freefont
Depends: fonts-freefont-otf, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This package is a dummy transitional package. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- ttf otf
	# Strip the fonts for the udeb
	sh debian/scripts/stripfonts.sh

override_dh_auto_clean:
	$(RM) -fr TTF-stripped udeb-sfd
	dh_auto_clean

override_dh_auto_test:
#	$(MAKE) tests

override_dh_builddeb:
	dh_builddeb -- -Zxz -Sextreme -z9

## fonts-freefont 20211204+svn4273

=== Makefile ===
# $Id: Makefile 3984 2018-12-19 18:02:42Z Stevan_White $

ADMIN=README AUTHORS CREDITS COPYING ChangeLog INSTALL
DATE=$(shell date +"%Y%m%d")
RELEASE=freefont-$(DATE)
BUILDDIR=$(PWD)
TMPDIR=$(BUILDDIR)/$(RELEASE)
OTFZIPFILE=freefont-otf-$(DATE).zip
TTFZIPFILE=freefont-ttf-$(DATE).zip
WOFFZIPFILE=freefont-woff-$(DATE).zip
OTFTARFILE=freefont-otf-$(DATE).tar.gz
TTFTARFILE=freefont-ttf-$(DATE).tar.gz
WOFFTARFILE=freefont-woff-$(DATE).tar.gz
SRCTARFILE=freefont-src-$(DATE).tar.gz
ZIPSIG=freefont-ttf-$(DATE).zip.sig
TARSIG=freefont-ttf-$(DATE).tar.gz.sig
SRCTARSIG=freefont-src-$(DATE).tar.gz.sig
SIGS=$(ZIPSIG) $(TARSIG) $(SRCTARSIG)

all: ttf otf woff

ttf: 
	@ ( cd sfd; $(MAKE) ttf )

otf: 
	@ ( cd sfd; $(MAKE) otf )

woff: 
	@ ( cd sfd; $(MAKE) woff )


package: ttftar otfzip otftar woffzip wofftar srctar

ttfzip: ttf
	rm -rf $(TMPDIR) $(TTFZIPFILE)
	mkdir $(TMPDIR)
	cp -a $(ADMIN) sfd/*.ttf $(TMPDIR)
	cp -a notes/usage.txt $(TMPDIR)/USAGE
	cp -a notes/troubleshooting.txt $(TMPDIR)/TROUBLESHOOTING
	cp -a notes/features.txt $(TMPDIR)/FEATURES
	cp -a notes/webfont_guidelines.txt $(TMPDIR)/WEBFONTS
	zip -r $(TTFZIPFILE) $(RELEASE)/

otfzip: otf
	rm -rf $(TMPDIR) $(OTFZIPFILE)
	mkdir $(TMPDIR)
	cp -a $(ADMIN) sfd/*.otf $(TMPDIR)
	cp -a notes/usage.txt $(TMPDIR)/USAGE
	cp -a notes/features.txt $(TMPDIR)/FEATURES
	cp -a notes/troubleshooting.txt $(TMPDIR)/TROUBLESHOOTING
	cp -a notes/webfont_guidelines.txt $(TMPDIR)/WEBFONTS
	zip -r $(OTFZIPFILE) $(RELEASE)/

woffzip: woff
	rm -rf $(TMPDIR) $(WOFFZIPFILE)
	mkdir $(TMPDIR)
	cp -a $(ADMIN) notes/webfont_guidelines.txt sfd/*.woff $(TMPDIR)
	cp -a notes/usage.txt $(TMPDIR)/USAGE
	cp -a notes/features.txt $(TMPDIR)/FEATURES
	cp -a notes/troubleshooting.txt $(TMPDIR)/TROUBLESHOOTING
	cp -a notes/webfont_guidelines.txt $(TMPDIR)/WEBFONTS
	zip -r $(WOFFZIPFILE) $(RELEASE)/

ttftar: ttf
	rm -rf $(TMPDIR) $(TTFTARFILE)
	mkdir $(TMPDIR)
	cp -a $(ADMIN) sfd/*.ttf $(TMPDIR)
	cp -a notes/usage.txt $(TMPDIR)/USAGE
	cp -a notes/features.txt $(TMPDIR)/FEATURES
	cp -a notes/troubleshooting.txt $(TMPDIR)/TROUBLESHOOTING
	cp -a notes/webfont_guidelines.txt $(TMPDIR)/WEBFONTS
	tar czvf $(TTFTARFILE) $(RELEASE)/

otftar: otf
	rm -rf $(TMPDIR) $(OTFTARFILE)
	mkdir $(TMPDIR)
	cp -a $(ADMIN) sfd/*.otf $(TMPDIR)
	cp -a notes/usage.txt $(TMPDIR)/USAGE
	cp -a notes/features.txt $(TMPDIR)/FEATURES
	cp -a notes/troubleshooting.txt $(TMPDIR)/TROUBLESHOOTING
	cp -a notes/webfont_guidelines.txt $(TMPDIR)/WEBFONTS
	tar czvf $(OTFTARFILE) $(RELEASE)/

wofftar: woff
	rm -rf $(TMPDIR) $(WOFFTARFILE)
	mkdir $(TMPDIR)
	cp -a $(ADMIN) notes/webfont_guidelines.txt sfd/*.woff $(TMPDIR)
	cp -a notes/usage.txt $(TMPDIR)/USAGE
	cp -a notes/features.txt $(TMPDIR)/FEATURES
	cp -a notes/troubleshooting.txt $(TMPDIR)/TROUBLESHOOTING
	cp -a notes/webfont_guidelines.txt $(TMPDIR)/WEBFONTS
	tar czvf $(WOFFTARFILE) $(RELEASE)/

srctar:
	make clean
	mkdir $(TMPDIR)
	cp -a $(ADMIN) $(TMPDIR)
	rsync -a --exclude ".svn" sfd tools notes $(TMPDIR)
	cp -a notes/building.txt $(TMPDIR)/BUILDING
	tar czvf $(SRCTARFILE) $(RELEASE)/

tests:
	( cd sfd; $(MAKE) tests )

clean:
	rm -rf $(TMPDIR) 
	rm -f $(TTFZIPFILE) $(TTFTARFILE) $(OTFTARFILE) $(WOFFZIPFILE) $(WOFFTARFILE) $(SRCTARFILE) $(SIGS) 
	( cd sfd; $(MAKE) clean )

distclean:
	rm -rf $(TMPDIR) 
	rm -f $(ZIPFILE) $(TARFILE) $(SRCTARFILE) $(SIGS)
	( cd sfd; $(MAKE) distclean )

=== sfd/Makefile ===
# $Id: Makefile 4256 2021-01-31 15:12:58Z Stevan_White $

SFDS=FreeMonoBoldOblique.sfd FreeMonoBold.sfd FreeMonoOblique.sfd FreeMono.sfd \
FreeSansBoldOblique.sfd FreeSansBold.sfd FreeSansOblique.sfd FreeSans.sfd \
FreeSerifBoldItalic.sfd FreeSerifBold.sfd FreeSerifItalic.sfd FreeSerif.sfd
MSFDS=FreeMonoBoldOblique.sfd FreeMonoBold.sfd FreeMonoOblique.sfd FreeMono.sfd
TTFS=$(SFDS:.sfd=.ttf)
OTFS=$(SFDS:.sfd=.otf)
WOFFS=$(SFDS:.sfd=.woff)
FFBIN=/usr/bin/fontforge
FFLIBS=/usr/lib/fontforge
FF=LD_LIBRARY_PATH=${FFLIBS} ${FFBIN}
# newer versions need flag --quiet for pretty output, but others choke on it
FFFF=$(FF) -lang=ff -script 
FFPY=$(FF) --quiet -lang=py -script 
FFPY=$(FF) -lang=py -script 

# my distro version perversely lost the Version line!
ffver=`${FF} --version 2>&1 \
	| grep -E "Version|libfontforge" \
	| sed -e "s/^libfontforge //" \
	| sed -e "s/^ Version: //" \
	2>/dev/null`

TESTFFVER=if test -z "$(ffver)"; then \
	echo Could not find version of FontForge program; exit 1; fi

TESTFFEXIST=if [ ! -f "$(FFBIN)" ] && [ ! -h "$(FFBIN)" ]; then \
	echo Fontforge program not found at $(FFBIN); exit 1; fi

TESTFFOLD=if [ "${ffver}" -lt 20080429 ]; then \
	echo FontForge version $(ffver) too old; exit 0; fi

TESTFF=${TESTFFVER}; ${TESTFFEXIST}; ${TESTFFOLD}

GENTT=../tools/generate/TrueType
GENOT=../tools/generate/OpenType
GENWO=../tools/generate/WOFF
# FIXME logic of setting FixedPitch is poor.  
IFP=../tools/generate/tweeks/set_isFixedPitch.py
CFS=../tools/generate/tweeks/correct_fsSelection.py

.SUFFIXES: $(SUFFIXES) .sfd .ttf .otf .woff

%.otf : %.sfd
	@ $(TESTFF)
	@ ( $(FFPY) ${GENOT} $< 3>&1 1>&2 2>&3 | tail -n +4 ) 3>&1 1>&2 2>&3 2>&1 
	@ ( $(IFP) $@ 3>&1 1>&2 2>&3 | tail -n +4 ) 
	@ ( $(CFS) $@ 3>&1 1>&2 2>&3 | tail -n +4 ) 

%.ttf : %.sfd
	@ $(TESTFF)
	@ ( $(FFPY) $(GENTT) $< 3>&1 1>&2 2>&3 | tail -n +4 ) 3>&1 1>&2 2>&3 2>&1 
	@ ( $(IFP) $@ 3>&1 1>&2 2>&3 | tail -n +4 ) 
	@ ( $(CFS) $@ 3>&1 1>&2 2>&3 | tail -n +4 ) 

%.woff : %.sfd
	@ $(TESTFF)
	@ ( $(FFPY) $(GENWO) $< 3>&1 1>&2 2>&3 | tail -n +4 ) 3>&1 1>&2 2>&3 2>&1 

all: ttf otf woff

ttf: $(TTFS)

otf: $(OTFS)

woff: $(WOFFS)

tests:
	@ $(TESTFF)
	@ ( $(FFPY) ../tools/test/isMonoMono.py $(MSFDS) 3>&1 1>&2 2>&3 | tail -n +4 ) 3>&1 1>&2 2>&3 2>&1
	@ $(FFPY) ../tools/test/checkGlyphNumbers.py `pwd` $(SFDS) 2>&1
	@ $(FFPY) ../tools/test/checkOTGlyphClass.py `pwd` $(SFDS) 2>&1
	@ $(FFPY) ../tools/test/validate.py `pwd` $(SFDS) 2>&1

clean:
	rm -f $(TTFS) $(OTFS) $(WOFFS) build.log

distclean:
	rm -f $(TTFS) $(OTFS) $(WOFFS) build.log

=== debian/changelog ===
fonts-freefont (20211204+svn4273-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against fixed fontforge that depends on python3-pkg-resources
    (Closes: #1095130)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Sep 2025 18:43:12 +0200

fonts-freefont (20211204+svn4273-3) unstable; urgency=medium

  * Team upload.
  * Remove python3-pkg-resources from Build-Depends-Indep. (Closes: #1095130)
  * Bump Standards-Version to 4.7.2.
  * Drop "Rules-Requires-Root: no": this is now the default

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Sep 2025 12:42:09 +0200

fonts-freefont (20211204+svn4273-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2.
  * Upload to unstable.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 13 Jun 2023 14:14:06 +0200

fonts-freefont (20211204+svn4273-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for fonts-freefont-udeb.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 20051206-1.
  * Set Multi-Arch: foreign on package fonts-freefont-udeb.
  * Update standards version to 4.1.5, no changes needed.

  [ Fabian Greffrath ]
  * New upstream version 20211204+svn4273.
  * Remove all patches, they don't apply anymore.
  * Update debian packaging copyright.
  * Update source lintian overrides.
  * Update debian/watch file.
  * Bump Standards-Version to 4.6.1.
  * Rules-Requires-Root: no.
  * Add python3-pkg-resources to Build-Depends-Indep.
  * Drop Multi-Arch entry from udeb stanza.
  * Run "wrap-and-sort -bast".

  * Upload to experimental.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 17 Jan 2023 14:22:35 +0100

fonts-freefont (20120503-10) unstable; urgency=medium

  * debian/patches/build_python3_syntax.patch:
    - updated the build scripts syntax to be compatible with python3,
      fixed the build on Ubuntu focal

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 15 Jan 2020 12:50:26 +0100

fonts-freefont (20120503-9) unstable; urgency=medium

  * Fix the appearance of the Slovak glyphs.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 21 Jan 2019 14:47:57 +0100

fonts-freefont (20120503-8) unstable; urgency=medium

  [ Andrew Shadura ]
  * Place glyphs for U+2E2A U+2E2B U+2E2C into their proper locations
    (Closes: #872472)

  [ Fabian Greffrath ]
  * Remove Christian Perrier from Uploaders, sorry to see you go
    (Closes: #895172).
  * Convert debian/copyright to machine-readable format and update
    license information as per upstream SVN r3855 (Closes: #891861).
    Add all previous package uploaders to copyright holders for
    debian/* and set license to GPL-3+, packaging is a derived
    work after all.
  * Bump debhelper compat to 11.
  * Bump Standards-Version to 4.1.4.
  * Update Vcs-* fields to point to salsa.
  * Actually apply Andrew Shadura's patch.
  * Use secure debian/copyright format URI.
  * Remove trailing whitespace from debian/changelog.
  * Add lintian overrides for a license paragraph in debian/copyright
    that only applies to generated files.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 24 May 2018 21:02:34 +0200

fonts-freefont (20120503-7) unstable; urgency=medium

  * Disable obsolete and poorly crafted fontforge version check.
  * Remove all traces of the transitional {ttf,otf}-freefont packages,
    (Closes: #878488).
  * Remove fonts-freefont-ttf.preinst file, does not apply anymore.
  * Bump debhelper compat to 10.
  * Bump Standards-Version to 4.1.1.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 20 Oct 2017 21:09:33 +0200

fonts-freefont (20120503-6) unstable; urgency=medium

  * Team upload.
  * Fix incomplete patch for the Braille fix (Closes: #848019).

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 13 Dec 2016 13:45:54 +0100

fonts-freefont (20120503-5) unstable; urgency=medium

  * Thanks Adam Borowski for the following two patches:
    + Fix reversed floorleft and floorright in FreeSans (Closes: #704022).
    + Drop broken Braille range (Closes: #823029).
  * Change Uploaders field to my Debian account.
  * Do not override compression in dh_builddeb anymore.
  * Bump Standards-Version to 3.9.8.
  * Fix vcs-field-uses-insecure-uri lintian warnings.
  * Fix command-with-path-in-maintainer-script lintian warning.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 24 Nov 2016 21:17:36 +0100

=== debian/control ===
Source: fonts-freefont
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 fontforge-nox (>> 1:20230101~dfsg-7~) | fontforge (>> 1:20230101~dfsg-7~),
Standards-Version: 4.7.2
Uploaders:
 Davide Viti <zinosat@tiscali.it>,
 Fabian Greffrath <fabian@debian.org>,
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-freefont.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-freefont
Homepage: https://savannah.gnu.org/projects/freefont/

Package: fonts-freefont-otf
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Freefont Serif, Sans and Mono OpenType fonts
 Freefont is a set of free high-quality OpenType fonts covering the UCS
 character set. These fonts are similar to the widely known Helvetica,
 Times and Courier fonts.

Package: fonts-freefont-ttf
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Freefont Serif, Sans and Mono Truetype fonts
 Freefont is a set of free high-quality TrueType fonts covering the UCS
 character set. These fonts are similar to the widely known Helvetica,
 Times and Courier fonts.

Package: fonts-freefont-udeb
Section: debian-installer
Provides:
 ttf-installer,
Package-Type: udeb
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Freefont Sans fonts for the graphical installer

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,3 @@
 
 override_dh_auto_test:
 #	$(MAKE) tests
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz -Sextreme -z9

=== debian/watch ===
version=4

https://ftp.gnu.org/gnu/freefont/freefont-src-@ANY_VERSION@@ARCHIVE_EXT@
